Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0003829TestLinkTest Plan (builds, milestones, test assign)public2010-10-02 20:112011-07-02 13:49
Reporterdifool 
Assigned ToJulian 
PrioritynormalSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Versiontestlink_1_9_rc1-qa-20100926 
Fixed in Version1.9.3 (2011 Q3 - bug fixing) 
Summary0003829: TL19RC1 - Milestones management - Forbid to create milestones where target date > start date
DescriptionControls must be done to prohibit creating milestone with:
- lower goals and with greater target date,
- or with greater goals and with smaller target date.

For example this setting is invalid:

Milestones for Test PlanPlanDeTest
Name Target Date Start Date Completed tests with High Priority [0-100%] Completed tests with Medium Priority [0-100%] Completed tests with Low Priority [0-100%]
Etape2 02/10/2010 01/01/2010 100 100 100
Etape1 04/10/2011 01/10/2010 50 25 25
Steps To Reproduce 
Additional InformationFor the following TC:
http://testlink.bplaced.net/linkto.php?tprojectPrefix=TL&item=testcase&id=TL-158 [^]
TagsNo tags attached.
Database (MySQL,Postgres,etc)MySQL 5.1.49
BrowserMozilla/5.0 (Windows; U; Windows NT 5.1; fr; rv:1.9.2.10) Gecko/20100914 Firefox/3.6.10 ( .NET CLR 3.5.30729).
PHP VersionPHP 5.3.3
TestCaseID
QA Team - Task Workflow Status
Attached Files

- Relationships
child of 0004337closedfman Availables Fixes for 1.9.2 (Prague) 

-  Notes
(0014687)
Julian (reporter)
2011-04-17 13:42

branch 1.9:
http://gitorious.org/testlink-ga/testlink-code/commit/4c773e70ffc0749bc698e9c1c5d2fbddf168278a [^]

master:
http://gitorious.org/testlink-ga/testlink-code/commit/05949c2a1508713c07fce25ef5f665e36d17722e [^]
(0015460)
fman (administrator)
2011-07-02 13:49

1.9.3 released

- Issue History
Date Modified Username Field Change
2010-10-02 20:11 difool New Issue
2010-10-04 15:19 Julian Product Version => testlink_1_9_rc1-qa-20100926
2011-04-15 16:51 Julian Summary TL19RC1 - Milestones management - Create milestone - Lack of controls. => TL19RC1 - Milestones management - Forbid to create milestones where target date > start date
2011-04-15 16:52 Julian Assigned To => Julian
2011-04-15 16:52 Julian Status new => assigned
2011-04-17 13:42 Julian Note Added: 0014687
2011-04-17 13:42 Julian Status assigned => resolved
2011-04-17 13:42 Julian Fixed in Version => 1.9.3 (2011 Q3 - bug fixing)
2011-04-17 13:42 Julian Resolution open => fixed
2011-04-17 13:42 Julian Relationship added child of 0004337
2011-07-02 13:49 fman Note Added: 0015460
2011-07-02 13:49 fman Status resolved => closed



Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker